Subject: bug#14683: 23.1; shell freezes during hunspell dictionary check

From: Agustin Martin <[email-masked]>
Date: Mon, 24 Jun 2013 12:59:04 +0200

[Sending also to the bug address, forgot this in my first reply. Please
reply to the bug address]

On Mon, Jun 24, 2013 at 10:01:01AM +0200, Petr Hracek wrote:
> On 06/21/2013 04:53 PM, Agustin Martin wrote:
> >On Fri, Jun 21, 2013 at 09:33:44AM +0200, Petr Hracek wrote:
> >>Hi folks,
> >>
> >>In emacs version 23.1
> >>I have a following problem with following scenario:
> >>
> >>1.Press M-x shell
> >>2.In the shell input echo "Hello wolrd" then press Enter
> >>3.Press M-x ispell-buffer
> >>4.Press 0 twice
> >>wolrd has been changed to world, this is fine
> >>5. input echo "heavon" then press Enter
> >>6. Press M-x ispell-buffer
> >>
> >>A message continuing spelling check using hunspell with default
> >>dictionary appears but the window freezes
> >Hi,
> >
> >I cannot reproduce this neither with current emacs-snapshot from FSF repo
> >nor with Debian/sid emacs24 (using backported bleeding edge ispell.el).
> >
> >However, I see the problem with old Debian/sid emacs23 (also using
> >backported bleeding edge ispell.el), so may be related to a bug in that
> >old Emacs version.
> >
> >Can you reproduce the problem with recent Emacs?
>
> this problem can be observed only in emacs23.
> Could you please send me a bug in debian side and whether it has
> been solved?

Nothing special was done in Debian side about this, so I guess this is
related to Emacs 23 itself. Are you using ispell.el as shipped with Emacs 23?

> In the emacs24 all is working properly.
> 
> I would like to test whether problem is on emacs or in hunspell side but
> I do not know how?

I tested with the same hunspell and roughly similar ispell.el (pristine for
emacs-snapshot and with the same backport changes for Emacs 23 and 24),
finding the problem only in Emacs 23.

I also tested with pristine Emacs 23 and I can also reproduce the problem,
so I guess the problem is in the emacs side. 

Since Emacs 23 is an old version, unless somebody points to the Emacs commit
addressing this, I do not expect this to be addressed.

Regards,

-- 
Agustin